using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CLPersone
{

    public enum Ruolo
    { 
        Studente,
        Impiegato,
        Docente,
        Altro
    }
    
    public class Persona
    {
        private string codiceFiscale;

        public string CodiceFiscale
        {
            get { return codiceFiscale; }
            set { codiceFiscale = value; }
        }

        private string nome;

        public string Nome
        {
            get { return nome; }
            set { nome = value; }
        }
        private string cognome;

        public string Cognome
        {
            get { return cognome; }
            set { cognome = value; }
        }

        private string recapitoTelefonico;

        public string RecapitoTelefonico
        {
            get { return recapitoTelefonico; }
            set { recapitoTelefonico = value; }
        }

        private Ruolo ruolo;

        public Ruolo Ruolo
        {
            get { return ruolo; }
            set { ruolo = value; }
        }

        public Persona()
        { 
        }

        public Persona(string codiceFiscale, string nome, string cognome, string recapitoTelefonico, Ruolo ruolo)
        {
            this.codiceFiscale = codiceFiscale;
            this.nome = nome;
            this.cognome = cognome;
            this.recapitoTelefonico = recapitoTelefonico;
            this.ruolo = ruolo;

        }

        public override string ToString()
        {
            return codiceFiscale + " - " + cognome + " - " + nome + " - " + recapitoTelefonico + " - " + ruolo + "\n";

        }

    }
}
